> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catalog.igvf.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Genes Coding Variants Scores

> Retrieve scores and predictions of associated coding variants for one specific gene.

At least one of these fields is required: gene_id, hgnc_id, gene_name, alias.

The limit parameter controls the page size and can not exceed 500.

Pagination is 0-based.

**Examples by method**

These examples are grouped by method; use the `method` filter to return data from a specific method.

**DUAL-IPA:**

**query by gene identifier**

- gene_name = ACSF3
- method = DUAL-IPA

**ESM-1v:**

**query by gene identifier**

- gene_id = ENSG00000121410
- method = ESM-1v

**MutPred2:**

**query by gene identifier**

- gene_id = ENSG00000196584
- method = MutPred2

**SGE:**

**query by gene identifier**

- gene_id = ENSG00000139618
- method = SGE

**VAMP-seq:**

**query by gene identifier**

- gene_id = ENSG00000165841
- method = VAMP-seq



## OpenAPI

````yaml /openapi/catalog-dev.openapi.json get /genes/coding-variants/scores
openapi: 3.0.3
info:
  title: IGVF Catalog - Development
  description: >-
    Development IGVF Catalog OpenAPI compliant REST API built using tRPC with
    Express.


    Our database uses 0-based, half-open coordinates for genomic coordinates in
    the GRCh38 (human) and GRCm39 (mouse) reference genomes.


    Data is licensed under the Creative Commons license and the software is
    licensed under the MIT license.
  version: 1.2.0 - DEV
servers:
  - url: https://catalog-api-dev.demo.igvf.org/api
security: []
externalDocs:
  url: https://api-dev.catalog.igvf.org/openapi
paths:
  /genes/coding-variants/scores:
    get:
      summary: Genes Coding Variants Scores
      description: >-
        Retrieve scores and predictions of associated coding variants for one
        specific gene.


        At least one of these fields is required: gene_id, hgnc_id, gene_name,
        alias.


        The limit parameter controls the page size and can not exceed 500.


        Pagination is 0-based.


        **Examples by method**


        These examples are grouped by method; use the `method` filter to return
        data from a specific method.


        **DUAL-IPA:**


        **query by gene identifier**


        - gene_name = ACSF3

        - method = DUAL-IPA


        **ESM-1v:**


        **query by gene identifier**


        - gene_id = ENSG00000121410

        - method = ESM-1v


        **MutPred2:**


        **query by gene identifier**


        - gene_id = ENSG00000196584

        - method = MutPred2


        **SGE:**


        **query by gene identifier**


        - gene_id = ENSG00000139618

        - method = SGE


        **VAMP-seq:**


        **query by gene identifier**


        - gene_id = ENSG00000165841

        - method = VAMP-seq
      operationId: codingVariantsFromGenes
      parameters:
        - name: gene_id
          in: query
          required: false
          schema:
            type: string
        - name: hgnc_id
          in: query
          required: false
          schema:
            type: string
        - name: gene_name
          in: query
          required: false
          schema:
            type: string
        - name: alias
          in: query
          required: false
          schema:
            type: string
        - name: method
          in: query
          required: false
          schema:
            type: string
            enum:
              - DUAL-IPA
              - ESM-1v
              - MutPred2
              - SGE
              - VAMP-seq
        - name: files_fileset
          in: query
          required: false
          schema:
            type: string
        - name: page
          in: query
          required: false
          schema:
            type: number
            default: 0
        - name: limit
          in: query
          required: false
          schema:
            type: number
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    protein_change:
                      type: object
                      properties:
                        protein_id:
                          type: string
                          nullable: true
                        protein_name:
                          type: string
                          nullable: true
                        transcript_id:
                          type: string
                          nullable: true
                        hgvsp:
                          type: string
                          nullable: true
                        aapos:
                          type: number
                          nullable: true
                        ref:
                          type: string
                          nullable: true
                        alt:
                          type: string
                          nullable: true
                      additionalProperties: false
                    variants:
                      type: array
                      items:
                        type: object
                        properties:
                          variant:
                            type: object
                            properties:
                              chr:
                                type: string
                              pos:
                                type: number
                              ref:
                                type: string
                              alt:
                                type: string
                              rsid:
                                type: array
                                items:
                                  type: string
                                nullable: true
                              spdi:
                                type: string
                                nullable: true
                              hgvs:
                                type: string
                                nullable: true
                              ca_id:
                                type: string
                                nullable: true
                              _id:
                                type: string
                            required:
                              - chr
                              - pos
                              - ref
                              - alt
                            additionalProperties: false
                          scores:
                            type: array
                            items:
                              type: object
                              properties:
                                method:
                                  type: string
                                score:
                                  type: number
                                  nullable: true
                                source_url:
                                  type: string
                                  nullable: true
                                files_filesets:
                                  type: string
                                  nullable: true
                              required:
                                - method
                              additionalProperties: false
                        required:
                          - variant
                          - scores
                        additionalProperties: false
                      nullable: true
                  required:
                    - protein_change
                  additionalProperties: false
        default:
          $ref: '#/components/responses/error'
components:
  responses:
    error:
      description: Error response
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
              code:
                type: string
              issues:
                type: array
                items:
                  type: object
                  properties:
                    message:
                      type: string
                  required:
                    - message
                  additionalProperties: false
            required:
              - message
              - code
            additionalProperties: false

````